Bug 1270358 - Review Request: nacl-newlib - C library intended for use on embedded systems
Review Request: nacl-newlib - C library intended for use on embedded systems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1270355 1270357
Blocks: 1270322 1270405
  Show dependency treegraph
 
Reported: 2015-10-09 14:47 EDT by Tom "spot" Callaway
Modified: 2016-04-26 17:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-15 17:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2015-10-09 14:47:15 EDT
Spec URL: https://spot.fedorapeople.org/nacl-newlib.spec
SRPM URL: https://spot.fedorapeople.org/nacl-newlib-2.1.0-8.git8c4da47.fc23.src.rpm
Description: 
Newlib is a C library intended for use on embedded systems. It is a
conglomeration of several library parts, all under free software licenses
that make them easily usable on embedded products. This is the nacl fork.
Fedora Account System Username: spot

This is the nacl build of the newlib library. The resulting binaries are specific to the nacl target and do not generate useful debuginfo on the x86_64 linux target platform. This package is needed to build the full nacl-gcc package (without bootstrap) and thus, Chromium.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-03-16 22:35:44 EDT
OK, nacl-newlib forms a cycle with nacl-gcc. But there's a bootstrap mechanism.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-03-24 10:44:02 EDT
rpmlint | grep -v devel-file-in-non-devel-package:
nacl-newlib.src: W: invalid-url Source1: nacl-headers-43.0.2357.81.tar.bz2
nacl-newlib.src: W: invalid-url Source0: nacl-newlib-2.1.0-git8c4da47.tar.bz2
nacl-newlib.x86_64: W: no-documentation
nacl-newlib.x86_64: W: non-standard-dir-in-usr x86_64-nacl
2 packages and 0 specfiles checked; 0 errors, 124 warnings.
Looks OK.

Maybe I'm missing something, but why don't you use a direct URL for sources:

%global commit 784956835fd318fa64e513ead7774d897386a7be
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Source0: https://chromium.googlesource.com/native_client/nacl-newlib/+archive/%{commit}.tar.gz#/nacl-newlib-%{shortcommit}.tar.gz

Now I see that this would only work for Source0, and not other Sources. Too bad.

Have you though about putting the chromium tarball as Source1 and doing the extraction of the missing header files in %prep? Seems like that would be easier to automate, and that tarball will be in dist-git cache anyway.


Some of the header files are "BSD with advertising". Shouldn't this be included in License tag?
/usr/x86_64-nacl/include/grp.h: BSD (4 clause)
/usr/x86_64-nacl/include/pwd.h: BSD (4 clause)
/usr/x86_64-nacl/include/ar.h: BSD (4 clause)
/usr/x86_64-nacl/include/unctrl.h: BSD (4 clause)
/usr/x86_64-nacl/include/ar.h: BSD (4 clause)
/usr/x86_64-nacl/include/grp.h: BSD (4 clause)
/usr/x86_64-nacl/include/pwd.h: BSD (4 clause)
/usr/x86_64-nacl/include/sys/syslimits.h: BSD (4 clause)
/usr/x86_64-nacl/include/sys/syslimits.h: BSD (4 clause)
/usr/x86_64-nacl/include/unctrl.h: BSD (4 clause)


+ license is OK
- License files are missing. Doesn't matter too much for the BSD-licensed stuff, but for LGPL it would be nice to add the license file.
+ rpmlint has nothing useful to say
+ no file conflicts
+ no scriptlets present or necessary
+ builds and installs OK, nacl-gcc builds fine with it
+ provides/requires look sane

I'll go ahead with the approval. There are some cleanups which could be done, but the only really important parts are that a) it doesn't break other things, b) it works for the purpose of building nacl-gcc and other dependent packages. 

Package is APPROVED.
Comment 3 Mike McCune 2016-03-28 19:47:57 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Parag AN(पराग) 2016-04-05 00:18:07 EDT
Any update here, I see Zbigniew already approved this package but can't see its built in Fedora.
Comment 5 Gwyn Ciesla 2016-04-08 16:56:46 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nacl-newlib
Comment 6 Fedora Update System 2016-04-11 17:22:38 EDT
nacl-newlib-2.1.0-9.20150528git8c4da47.fc24 nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d8df355cf
Comment 7 Fedora Update System 2016-04-11 17:22:52 EDT
nacl-newlib-2.1.0-9.20150528git8c4da47.fc23 nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b28ac9a3e6
Comment 8 Fedora Update System 2016-04-11 17:23:01 EDT
nacl-newlib-2.1.0-9.20150528git8c4da47.fc22 nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-26a2a4f89f
Comment 9 Fedora Update System 2016-04-12 06:52:21 EDT
nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc24, nacl-newlib-2.1.0-9.20150528git8c4da47.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d8df355cf
Comment 10 Fedora Update System 2016-04-13 04:35:04 EDT
nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc22, nacl-newlib-2.1.0-9.20150528git8c4da47.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-26a2a4f89f
Comment 11 Fedora Update System 2016-04-13 05:27:08 EDT
nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc23, nacl-newlib-2.1.0-9.20150528git8c4da47.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b28ac9a3e6
Comment 12 Fedora Update System 2016-04-15 17:33:08 EDT
nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc24, nacl-newlib-2.1.0-9.20150528git8c4da47.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-04-26 16:54:12 EDT
nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc23, nacl-newlib-2.1.0-9.20150528git8c4da47.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-04-26 17:21:22 EDT
nacl-gcc-4.4.3-18.20150504gitf80d6b9.fc22, nacl-newlib-2.1.0-9.20150528git8c4da47.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.